#	$NetBSD: Makefile.glx,v 1.6 2005/03/19 21:41:58 christos Exp $

LIB=		glx

.PATH:	${X11SRCDIR.xc}/programs/Xserver/GL/glx
SRCS+=	global.c glxbuf.c glxcmds.c glxcmdsswap.c glxext.c glxfb.c \
	glximports.c glxmem.c glxpix.c glxscreens.c glxutil.c \
	render2.c render2swap.c renderpix.c renderpixswap.c \
	rensize.c rensizetab.c single2.c single2swap.c singlepix.c \
	singlepixswap.c singlesize.c xfont.c g_disptab.c \
	g_disptab_EXT.c g_render.c g_renderswap.c g_single.c g_singleswap.c

CPPFLAGS+=	-I${X11SRCDIR.xc}/programs/Xserver/GL/glx \
		-I${X11SRCDIR.xc}/programs/Xserver/GL/include \
		-I${X11SRCDIR.xc}/programs/Xserver/include \
		-I${XSERVERINCDIR} \
		-I${DESTDIR}${X11INCDIR}/X11 \
		-I${X11SRCDIR.xc}/programs/Xserver/mi \
		-I${DESTDIR}${X11INCDIR}/X11/extensions \
		-I${X11SRCDIR.xc}/include/fonts \
		-I${X11SRCDIR.xc}/extras/Mesa/src/mesa \
		-I${X11SRCDIR.xc}/extras/Mesa/src/mesa/drivers/dri/common \
		-I${X11SRCDIR.xc}/extras/Mesa/include \
		-I${X11SRCDIR.xc}/lib/GL/include

CPPFLAGS+=	${X11FLAGS.EXTENSION} -DGLXEXT -DGLX_USE_MESA

.include <bsd.x11.mk>
LIBDIR=	${XMODULEDIR}
.include <bsd.lib.mk>
